﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;
using UnityEngine.SceneManagement;

public class ApplePicker : MonoBehaviour
{
    public Text lifeUI;
    public int lifeNum;

    public GameObject basketPrefab;

    public float basketBottomY=-11f;
    public float basketSpacingY = 2f;
    public float appleBottomY = -20f;

    public GameObject tBasketGO;
    // Start is called before the first frame update
    void Start()
    {
        //生命计数板初始化
        GameObject lifeGO = GameObject.Find("LifeCounter");
        lifeUI = lifeGO.GetComponent<Text>();
        lifeNum = 3;
        lifeUI.text = "Life: " + lifeNum;

        tBasketGO = Instantiate(basketPrefab) as GameObject;
        Vector3 pos = Vector3.zero;
        pos.y = basketBottomY;
        tBasketGO.transform.position = pos;
    }

    public void AppleDestroyed()
    {
        lifeNum -= 1;
        lifeUI.text = "Life: " + lifeNum;
        if (lifeNum <= 0)
        {
            GameObject[] tAppleArray = GameObject.FindGameObjectsWithTag("Apple");
            foreach (GameObject tGO in tAppleArray) { Destroy(tGO); }
            Destroy(tBasketGO);

            //分数统一 
            //最高分监视
            if (LevelControl.yourScore > LevelControl.highScore) 
            {
                LevelControl.highScore = LevelControl.yourScore;
                PlayerPrefs.SetInt("ApplePickerHighScore", LevelControl.highScore);
                PlayerPrefs.Save();
            }

            SceneManager.LoadScene("Over");
        }
    }
}
