﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class AppleTree : MonoBehaviour
{
    public GameObject applePrefab;

    public float tSpeed;

    // Start is called before the first frame update
    void Start()
    {
        LevelControl tLevelControl = GameObject.Find("LevelCounter").GetComponent<LevelControl>();
        //速度初始化
        tSpeed = tLevelControl.speed;

        InvokeRepeating("DropApple", 2f, tLevelControl.secondsBetweenAppleDrops);
    }

    void DropApple()
    {
        GameObject apple = Instantiate(applePrefab) as GameObject;
        apple.transform.position = transform.position;
    }

    // Update is called once per frame
    void Update()
    {
        LevelControl tLevelControl = GameObject.Find("LevelCounter").GetComponent<LevelControl>();
        if (Mathf.Abs(tSpeed) < Mathf.Abs(tLevelControl.speed)){ tSpeed = tLevelControl.speed; }

        //移动
        Vector3 pos = transform.position;
        pos.x += tSpeed * Time.deltaTime;
        this.transform.position = pos;

        //变向
        if (pos.x < -tLevelControl.leftAndRightEdge) { tSpeed= Mathf.Abs(tSpeed); }
        else if(pos.x > tLevelControl.leftAndRightEdge) { tSpeed= -Mathf.Abs(tSpeed); }
        else if (Random.value < tLevelControl.chanceToChangeDirections) { tSpeed *= -1; }

    }

}
